Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1493099 - [RFE] - Add iSCSI initiator name to hosts table for analyzer report
Summary: [RFE] - Add iSCSI initiator name to hosts table for analyzer report
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-log-collector
Classification: oVirt
Component: General
Version: 4.1.4
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: ovirt-4.2.2
: 4.2.3
Assignee: Douglas Schilling Landgraf
QA Contact: David Necpal
URL:
Whiteboard:
Depends On:
Blocks: 1456888
TreeView+ depends on / blocked
 
Reported: 2017-09-19 11:36 UTC by Jiri Belka
Modified: 2018-03-29 11:08 UTC (History)
5 users (show)

Fixed In Version: ovirt-log-collector-4.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-29 11:08:11 UTC
oVirt Team: Integration
rule-engine: ovirt-4.2?
lsvaty: testing_plan_complete-
rule-engine: planning_ack?
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 85999 master MERGED inventory: Add iscsi initiator name into hosts table 2018-01-10 16:04:19 UTC
oVirt gerrit 86208 ovirt-log-collector-4.2 MERGED inventory: Add iscsi initiator name into hosts table 2018-01-11 02:48:49 UTC

Description Jiri Belka 2017-09-19 11:36:17 UTC
Description of problem:

If a host need to be reinstalled for upgrade flow, it could be handy to know and have saved its iSCSI initiator name. It seems it is forgotten from time to time to configured iSCSI initiator name on hosts during upgrade flow and thus hosts can't access storage.

Comment 1 Douglas Schilling Landgraf 2018-01-03 18:10:13 UTC
(In reply to Jiri Belka from comment #0)
> Description of problem:
> 
> If a host need to be reinstalled for upgrade flow, it could be handy to know
> and have saved its iSCSI initiator name. It seems it is forgotten from time
> to time to configured iSCSI initiator name on hosts during upgrade flow and
> thus hosts can't access storage.

Hi Jiri,

Could you please provide sosreport for this one? My impression we provide such data in 'Storage Domain: Luns' session.

Comment 2 Jiri Belka 2018-01-04 08:29:00 UTC
(In reply to Douglas Schilling Landgraf from comment #1)
> (In reply to Jiri Belka from comment #0)
> > Description of problem:
> > 
> > If a host need to be reinstalled for upgrade flow, it could be handy to know
> > and have saved its iSCSI initiator name. It seems it is forgotten from time
> > to time to configured iSCSI initiator name on hosts during upgrade flow and
> > thus hosts can't access storage.
> 
> Hi Jiri,
> 
> Could you please provide sosreport for this one? My impression we provide
> such data in 'Storage Domain: Luns' session.

just take it from engine db

engine=# select vds_name,iscsi_initiator_name from vds;
   vds_name   |        iscsi_initiator_name         
--------------+-------------------------------------
 10.37.138.31 | iqn.1994-05.com.redhat:3fa14d217a7
 10.37.138.85 | iqn.1994-05.com.redhat:6d43b1499ce1

Comment 3 Sandro Bonazzola 2018-01-31 09:40:00 UTC
missed 4.2.1, moving to 4.2.2

Comment 4 David Necpal 2018-02-21 09:23:42 UTC
Verified on version: 

ovirt-log-collector-4.2.4-1.el7ev.noarch
ovirt-log-collector-analyzer-4.2.4-1.el7ev.noarch

Comment 5 Sandro Bonazzola 2018-03-29 11:08:11 UTC
This bugzilla is included in oVirt 4.2.2 release, published on March 28th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.2 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.